{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'Workcode list' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'workcode/workcode_handle.html' %}

  <table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
    <thead>
      <tr>
        <th data-options="field:'ck',checkbox:true"></th>
        <th data-options="field:'id',align:'center',width:180" hidden="hidden">Index</th>
        <th data-options="field:'work_code',align:'center',width:180">Code</th>
        <th data-options="field:'work_name',align:'center',width:100">Name</th>
        <th data-options="field:'area_name',align:'center',width:180">Area</th>
      </tr>
    </thead>
    <tbody>
	    {% for workcode in workcodes %}
	      <tr>
	        <td><input type="checkbox" class=""></td>
	        <td hidden="hidden"><a href="{% url 'workcode_edit' workcode.id %}">{{ workcode.id }}</td>
          <td><a href="{% url 'workcode_edit' workcode.id %}">{{ workcode.work_code }}</td>
	        <td>{{ workcode.work_name }}</td>
	        <td>{{ workcode.area.area_name }}</td>
	      </tr>
	   	{% endfor %}
    </tbody>
  	</table>

   {% include 'paginator.html' with paginator=workcodes %}

{% endblock content %}
